- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# clc_blueprint_package – deploys a blue print package on a set of servers in CenturyLink Cloud

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- An Ansible module to deploy blue print package on a set of servers in CenturyLink Cloud.

## Requirements

The below requirements are needed on the host that executes this module.

- python = 2.7
- requests >= 2.5.0
- clc-sdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
package_id - / required |  | The package id of the blue print.
package_params - | Default: {} | The dictionary of arguments required to deploy the blue print.
server_ids - / required |  | A list of server Ids to deploy the blue print package.
state - | Choices: present ← | Whether to install or uninstall the package. Currently it supports only "present" for install action.
wait boolean | Choices: no yes ← | Whether to wait for the tasks to finish before returning.

## Notes

Note

- To use this module, it is required to set the below environment variables which enables access to the Centurylink Cloud - CLC_V2_API_USERNAME, the account login id for the centurylink cloud - CLC_V2_API_PASSWORD, the account password for the centurylink cloud
- Alternatively, the module accepts the API token and account alias. The API token can be generated using the CLC account login and password via the HTTP api call @ https://api.ctl.io/v2/authentication/login - CLC_V2_API_TOKEN, the API token generated from https://api.ctl.io/v2/authentication/login - CLC_ACCT_ALIAS, the account alias associated with the centurylink cloud
- Users can set CLC_V2_API_URL to specify an endpoint for pointing to a different CLC environment.

## Examples

    # Note - You must set the CLC_V2_API_USERNAME And CLC_V2_API_PASSWD Environment variables before running these examples

    - name: Deploy package
      clc_blueprint_package:
            server_ids:
                - UC1TEST-SERVER1
                - UC1TEST-SERVER2
            package_id: 77abb844-579d-478d-3955-c69ab4a7ba1a
            package_params: {}

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
server_ids list | success | The list of server ids that are changed Sample: ['UC1TEST-SERVER1', 'UC1TEST-SERVER2']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- CLC Runner (@clc-runner)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.